| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
gtx/color_space.hpp File Reference

GLM_GTX_color_space More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | hsvColor (tvec3< T, P > const &rgbValue)
| Converts a color from RGB color space to its color in HSV color space. More...
template<typename T , precision P>
GLM_FUNC_DECL T | luminosity (tvec3< T, P > const &color)
| Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rgbColor (tvec3< T, P > const &hsvValue)
| Converts a color from HSV color space to its color in RGB color space. More...
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | saturation (T const s)
| Build a saturation matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | saturation (T const s, tvec3< T, P > const &color)
| Modify the saturation of a color. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec4< T, P > | saturation (T const s, tvec4< T, P > const &color)
| Modify the saturation of a color. More...

## Detailed Description

GLM_GTX_color_space

See also
  GLM Core (dependence)

Definition in file gtx/color_space.hpp.